package com.canvassoft.Lib;

import org.aiwolf.common.data.Role;


public class Define
{
	public static int None = -1;
	public static int Villager = 0; // 素村
	public static int Seer = 1; // 占い師
	public static int Medium = 2; // 霊媒師
	public static int BodyGuard = 3; // ボディーガード
	public static int Possessed = 4; // 狂人	
	public static int WereWolf = 5; // 人狼
	public static int Num  = 6;
	//public static int Hunter = 1; // ハンター
	//public static int FreeMason = 1; // 共有者
	//public static int PossessedWolf = 1; // 狂狼 
	//public static int Fox = 1; // 狐
	//public static int wrongdoer = 1; // 背徳者
	
		// 人 or 人外
	public static int Human = (1<<5); // 人
	public static int NoHuman = (1<<6); // 人外
	
	public static int RoleIndex(Role role)
	{
		if (role == null)return Villager;
				
		switch(role)
		{
		case VILLAGER:return Villager;
		case SEER:return Seer;
		case MEDIUM:return Medium;
		case BODYGUARD:return BodyGuard;
		case POSSESSED:return Possessed;
		case WEREWOLF:return WereWolf;
		}
		return Villager;
	}
	
	public static Role RoleType(int index)
	{
		if (index == Villager) {
			return Role.VILLAGER;
		} else if (index == Seer) {
			return Role.SEER;
		} else if (index == Medium) {
			return Role.MEDIUM;
		} else if (index == BodyGuard) {
			return Role.BODYGUARD;
		} else if (index == Possessed) {
			return Role.POSSESSED;
		} else if (index == WereWolf) {
			return Role.WEREWOLF;
		}
		return Role.VILLAGER;
	}
};