package com.canvassoft.Agent;

import org.aiwolf.client.base.player.AbstractRoleAssignPlayer;

import com.canvassoft.Lib.*;
import com.canvassoft.Player.*;


public class CanvasRoleAssignPlayer extends AbstractRoleAssignPlayer
{
	private int index = 0;
	private Brain brain;

	public CanvasRoleAssignPlayer()
	{
		brain = new Brain();
		setVillagerPlayer(new CanvasVillagerPlayer(brain));
		setSeerPlayer(new CanvasSeerPlayer(brain));
		setMediumPlayer(new CanvasMediumPlayer(brain));
		setBodyguardPlayer(new CanvasBodyGuardPlayer(brain));
		setWerewolfPlayer(new CanvasWolfPlayer(brain));		
		setPossessedPlayer(new CanvasPassessedPlayer(brain));
	}

	@Override
	public String getName()
	{
		return "CanvasSoft";
	}
}
